﻿"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const base_1 = require("../util/base");
const sponsor_1 = require("../util/sponsor");
class Init extends base_1.BaseKitaCommand {
    static description = 'Creates a basic kita.config.js';
    static examples = ['<%= config.bin %> <%= command.id %>'];
    async run() {
        (0, sponsor_1.printSponsor)(this);
        const { flags } = await this.parse(Init);
        const configPath = path_1.default.resolve(flags.cwd || process.cwd(), 'kita.config.js');
        const exists = fs_1.default.existsSync(configPath);
        if (exists) {
            this.error((0, chalk_1.default) `{red File already exists: ${path_1.default.relative(process.cwd(), configPath)}}`);
        }
        core_1.ux.action.start('Creating config file');
        fs_1.default.writeFileSync(configPath, defaultConfig);
        core_1.ux.action.stop((0, chalk_1.default) `{green Created!}`);
        this.warn((0, chalk_1.default) `{yellow Kita's defaults are often the option configuration, be careful with what you change.}`);
    }
}
exports.default = Init;
const defaultConfig = `

// Documentation: https://kita.js.org

/** @type {import('@kitajs/cli').KitaConfig} */
module.exports = {
  /* You are fine with the defaults XD, feel free to delete this config file. */
};

`.trim();
//# sourceMappingURL=init.js.map