﻿import { AstCollector, KitaConfig, PartialKitaConfig, SourceFormatter } from '@kitajs/common';
import { Command } from '@oclif/core';
import { CommandError } from '@oclif/core/lib/interfaces';
export declare abstract class BaseKitaCommand extends Command {
    static baseFlags: {
        config: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
        cwd: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined, import("@oclif/core/lib/interfaces").CustomOptions>;
    };
    protected parseConfig(flags: Record<string, unknown>, extension?: PartialKitaConfig, useUx?: boolean): {
        config: KitaConfig;
        compilerOptions: import("typescript").CompilerOptions & {
            rootNames: string[];
        };
    };
    protected resetRuntime(config: KitaConfig, copyRuntime?: boolean): Promise<void>;
    /**
     * If the user's source code imports any type only available inside the generated runtime, the first build will fail
     * because these imports resolves to an inexistent file, by running the parser twice we can avoid this problem.
     */
    protected prepareFirstRun(config: KitaConfig, compilerOptions: any): Promise<void>;
    protected runParser(parser: AstCollector, formatter?: SourceFormatter, reset?: boolean, config?: KitaConfig): Promise<(import("typescript").Diagnostic & {
        __kita: true;
    })[]>;
    protected catch(error: CommandError): Promise<void>;
}
//# sourceMappingURL=base.d.ts.map